Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### implements

Examples

    Coming soon...

Description

Implements an interface or group of interfaces. Interfaces are used to establish a protocol between classes, they establish the form for a class (method names, return types, etc.) but no implementation. After implementation, an interface can be used and extended like any other class. Because Java doesn't allow extending more than one class at a time, interfaces are created, which means specific methods and fields can be found in the class which implements it. A Thread is an example because it implements the "Runnable" interface, which means the class has a method called "public void run()" inside it.

Syntax

    implements

Parameters

Usage | Web & Application

Updated on February 09, 2008 04:38:52pm PST